--ELIMINARE WHERE CONDITION SUL CODICE FISCALE NELLE SELECT INTERNE
CREATE procedure [C6MartPeriodico].[RP_PROM_TuttiIPortafogli2_Indicatore_20180711_AZZERARE_CTV_NEGATIVI]
	-- Add the parameters for the stored procedure here
AS
BEGIN
set nocount on
SELECT 
	--	descr_prodotto,
		[Rete]
      , rtrim([CodiceFiscale]) as [CodiceFiscale]
      ,[Portafoglio]
      ,[CodiceProdotto]
	     -- 12/6/2018 ---------
	  ,[CodiceAdeguatezza]
	  -----------------------
      ,[Piazza]
      ,[CodiceValuta]
      ,[Classe]
	  --MIFID2 20180711
	 -- ,case
		--when [CtvNominale] < 0 then '0.00'
		--else convert(varchar(20),[CtvNominale])
	 -- end as [CtvNominale]
	 -- ,case
		--when [CtvReale] < 0 then '0.00'
		--else convert(varchar(20),[CtvReale])
	 -- end as [CtvReale]
	  --orig:
	  ,convert(varchar(20),[CtvNominale]) as [CtvNominale]
	  ,convert(varchar(20),[CtvReale]) as [CtvReale]
	  --MIFID2
FROM 
(
	 SELECT 
           [Rete]
		  ,rtrim(CodiceFiscale) + '_BF' as [CodiceFiscale]
		  ,[Portafoglio]
		  ,[CodiceProdotto]
	  -- 12/6/2018 ---------
	  ,[CodiceAdeguatezza]
	  -----------------------
		  ,[Piazza]
		  ,[CodiceValuta]
		  ,[Classe]
		  --MIFID2 20180711
			  ,case
				when [CtvNominale] < 0 then '0.000'
				else convert(varchar(20),[CtvNominale])
			  end as [CtvNominale]
			  ,case
				when [CtvReale] < 0 then '0.000'
				else convert(varchar(20),[CtvReale])
			  end as [CtvReale]
		  --orig:
		  --,convert(varchar(20),[CtvNominale]) as [CtvNominale]
		  --,convert(varchar(20),[CtvReale]) as [CtvReale]
		  --MIFID2
	  FROM [C6StampeCentralizzate].[C6Martperiodico].[RP_vTuttiIPortafogli]
	  where [Portafoglio] like '%COMPLESSIVO|BF%'
	  --esclusioni per errore nuovo servizio indicatori del 14-15-28/6/2018
		 and rete+codicefiscale not in 
		('FMRLVCN68L02F274G','FPTRBBR71E65A345O','FPTRBDT72C41H223C','FRSSMNT49A71E498A','FRTOMHL64H69B354H',
		'FTMBCST76M67M082T','FVLIMLL56P45I480C','FVRTMRC61S04H501Q','FZLACRN41D49B157T','SMTTBRN52M12D982T',
		'SPCFMRA79D52I197L','SSNTLGU56A23L334O')
--********************ELIMINARE*****************
	  	 --and codicefiscale = 'BBTRST39C01G160T'
--********************ELIMINARE*****************
	  UNION
	  SELECT 
           [Rete]
		  ,rtrim(CodiceFiscale) + '_TERZI' as [CodiceFiscale]
		  ,[Portafoglio]
		  ,[CodiceProdotto]
	  -- 12/6/2018 ---------
	  ,[CodiceAdeguatezza]
	  -----------------------
		  ,[Piazza]
		  ,[CodiceValuta]
		  ,[Classe]
		  --MIFID2 20180711
			  ,case
				when [CtvNominale] < 0 then '0.000'
				else convert(varchar(20),[CtvNominale])
			  end as [CtvNominale]
			  ,case
				when [CtvReale] < 0 then '0.000'
				else convert(varchar(20),[CtvReale])
			  end as [CtvReale]
		  --orig:
		  --,convert(varchar(20),[CtvNominale]) as [CtvNominale]
		  --,convert(varchar(20),[CtvReale]) as [CtvReale]
		  --MIFID2
		  FROM [C6StampeCentralizzate].[C6Martperiodico].[RP_vTuttiIPortafogli]
	  where [Portafoglio] like '%COMPLESSIVO|TERZI%'
	  --esclusioni per errore nuovo servizio indicatori del 14-15-28/6/2018
		 and rete+codicefiscale not in 
		('FMRLVCN68L02F274G','FPTRBBR71E65A345O','FPTRBDT72C41H223C','FRSSMNT49A71E498A','FRTOMHL64H69B354H',
		'FTMBCST76M67M082T','FVLIMLL56P45I480C','FVRTMRC61S04H501Q','FZLACRN41D49B157T','SMTTBRN52M12D982T',
		'SPCFMRA79D52I197L','SSNTLGU56A23L334O')
--********************ELIMINARE*****************
	  	 --and codicefiscale = 'BBTRST39C01G160T'
--********************ELIMINARE*****************
	 UNION
	   SELECT 
           [Rete]
		  ,rtrim([CodiceFiscale])
		  ,[Portafoglio]
		  ,[CodiceProdotto]
	  -- 12/6/2018 ---------
	  ,[CodiceAdeguatezza]
	  -----------------------
		  ,[Piazza]
		  ,[CodiceValuta]
		  ,[Classe]
		  --MIFID2 20180711
			  ,case
				when [CtvNominale] < 0 then '0.000'
				else convert(varchar(20),[CtvNominale])
			  end as [CtvNominale]
			  ,case
				when [CtvReale] < 0 then '0.000'
				else convert(varchar(20),[CtvReale])
			  end as [CtvReale]
		  --orig:
		  --,convert(varchar(20),[CtvNominale]) as [CtvNominale]
		  --,convert(varchar(20),[CtvReale]) as [CtvReale]
		  --MIFID2
	  FROM [C6StampeCentralizzate].[C6Martperiodico].[RP_vTuttiIPortafogli]
	  where ([Portafoglio] like '%COMPLESSIVO|TERZI%' or [Portafoglio] like '%COMPLESSIVO|BF%')
	  --esclusioni per errore nuovo servizio indicatori del 14-15-28/6/2018
		 and rete+codicefiscale not in 
		('FMRLVCN68L02F274G','FPTRBBR71E65A345O','FPTRBDT72C41H223C','FRSSMNT49A71E498A','FRTOMHL64H69B354H',
		'FTMBCST76M67M082T','FVLIMLL56P45I480C','FVRTMRC61S04H501Q','FZLACRN41D49B157T','SMTTBRN52M12D982T',
		'SPCFMRA79D52I197L','SSNTLGU56A23L334O')
--********************ELIMINARE*****************
	  	 --and codicefiscale = 'BBTRST39C01G160T'
--********************ELIMINARE*****************
) T
order by rete,codiceFiscale,Portafoglio
END